---
search:
  tags:
    - drafts
    - PATCH
seo:
  description: >-
    Update draft. Reference for the PATCH
    /workspaces/{organizationId}/drafts/{id} endpoint in the Pile API.
sidebar:
  label: Update draft
  badge: PATCH
title: Update draft
type: openapi-operation
---
`PATCH /workspaces/{organizationId}/drafts/{id}`

**Request body** (`application/json`)

- `payload` (object, required)

Request body example:

```json
{
  "payload": {
    "property1": null,
    "property2": null
  }
}
```

**Responses**

- `200` — Draft payload updated

Response example, 200:

```json
{
  "id": "string",
  "organizationId": "string",
  "entityType": "string",
  "entityId": "string",
  "issueId": "string",
  "kind": "comment",
  "payload": {
    "property1": null,
    "property2": null
  },
  "status": "pending",
  "createdById": "string",
  "sessionId": "string",
  "reviewedById": "string",
  "reviewedAt": "string",
  "reviewNote": "string",
  "publishedCommentId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
```
